List Available Models

Use the list models operation to list all loaded embedding and reranking models.

See the following for an example of using list_models to list loaded models and print their names:

from oracle_vecdb import OracleVecDB, Configuration

client = OracleVecDB(Configuration(
    rest_url="https://<host>/ords/<schema>/_/db-api/stable/vecdb/",
    access_token="<bearer-token>", # or username="<user>", password="<pass>"
))

models = client.list_models()
print([item.model_name for item in models.items or []])
A JSON response is returned, containing an array of models, each with the following information:
  • Model name
  • Type (embedding, reranking)
  • Algorithm
  • Creation time stamp
  • Attributes and parameters

Example response:

{
  "items": [
    {
      "model_name": "ALL_MINILM_L12_V2",
      "algorithm": "ONNX",
      "mining_function": "EMBEDDING",
      "creation_date": "2026-01-27T07:23:21Z",
      "attributes": [
        {
          "name": "DATA",
          "value": "TEXT",
          "data_type": "VARCHAR2",
          "data_length": 32767
        },
        {
          "name": "ORA$ONNXTARGET",
          "value": "VECTOR",
          "data_type": "VECTOR",
          "data_length": 1593,
          "vector_info": "VECTOR(384,FLOAT32)"
        }
      ]
    }
  ]
}

The string, items, is an array of model definitions returned by the service.

The attributes array includes model input and output attribute metadata. This includes vector_info, which is populated only when the value of data_type is VECTOR.

Pagination metadata is returned with has_more, limit, offset, and count.

For more information about the list_models operation, see Python API Reference.

See how GET /vecdb/models/ can be used in the following example:

curl -X GET \
  "https://<host>:<port>/ords/<schema>/_/db-api/stable/vecdb/models/" \
  -H "Accept: application/json" \
  # Choose ONE authentication method:

  # Option 1: Basic authentication
  -u "<user>:<password>"

  # Option 2: OAuth Bearer token
  # -H "Authorization: Bearer <access_token>"
Example 200 response:
{
  "items": [
    {
      "model_name": "DOC_EMBED_MODEL",
      "algorithm": "ONNX",
      "mining_function": "EMBEDDING",
      "creation_date": "2026-05-01T10:00:00.000000+00:00",
      "attributes": [
        {
          "name": "DATA",
          "value": "TEXT",
          "data_type": "VARCHAR2",
          "data_length": 4000,
          "vector_info": null
        }
      ]
    }
  ],
  "hasMore": false,
  "limit": 25,
  "offset": 0,
  "count": 1,
  "links": []
}

For more information about GET /vecdb/models/, see REST API Reference.

See how DBMS_VECTOR_DATABASE.LIST_MODELS can be used in the following example:

dbms_vector_database.list_models();
Example response:
{
  "models": [
    {
      "model_name": "DOC_EMBED_MODEL",
      "algorithm": "ONNX",
      "mining_function": "EMBEDDING",
      "creation_date": "2026-05-01T10:00:00.000000+00:00",
      "attributes": [
        {
          "name": "DATA",
          "value": "TEXT",
          "data_type": "VARCHAR2",
          "data_length": 4000,
          "vector_info": null
        }
      ]
    }
  ]
}

For more information about the PL/SQL implementation, including parameters, see LIST_MODELS .